GWT 2.7.0

## com.google.gwt.editor.client.testing
Class EditorHierarchyPrinter

    java.lang.Object
      com.google.gwt.editor.client.EditorVisitor
          com.google.gwt.editor.client.testing.EditorHierarchyPrinter

    public final class EditorHierarchyPrinter

extends EditorVisitor

A utility class that creates a string representation of an Editor hierarchy for testing purposes.

Method Summary

`

`<T> void`

`

`endVisit(EditorContext<T> ctx)`
Exit an Editor.

`static java.lang.String` | `toString(EditorDriver<?> driver)` Produce a string representation of the Editor hierarchy being controlled by `driver`.

`

`<T> boolean`

`

`visit(EditorContext<T> ctx)`
Receive an Editor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toString

    public static java.lang.String toString(EditorDriver<?> driver)

  Produce a string representation of the Editor hierarchy being controlled by `driver`.

### endVisit

    public <T> void endVisit(EditorContext<T> ctx)

  Description copied from class: `EditorVisitor`
  Exit an Editor. The default implementation is a no-op.

  Overrides:
    `endVisit` in class `EditorVisitor`
  Parameters:
    `ctx` - contextual data about the current Editor

### visit

    public <T> boolean visit(EditorContext<T> ctx)

  Description copied from class: `EditorVisitor`
  Receive an Editor. The default implementation always returns `true`.

  Overrides:
    `visit` in class `EditorVisitor`
  Parameters:
    `ctx` - contextual data about the current Editor
  Returns:
    `true` if the visitor should visit any sub-editors of the current editor.

GWT 2.7.0